org.springframework.beans.factory.support

## Class BeanDefinitionDefaults

- java.lang.Object
- - org.springframework.beans.factory.support.BeanDefinitionDefaults

    public class BeanDefinitionDefaults
    extends Object

A simple holder for `BeanDefinition` property defaults.

Since:
  2.5
Author:
  Mark Fisher

### Constructor Summary

Constructors
Constructor and Description
`BeanDefinitionDefaults()`

### Method Summary

Methods
`int` `getAutowireMode()`
`int` `getDependencyCheck()`
`String` `getDestroyMethodName()`
`String` `getInitMethodName()`
`boolean` `isLazyInit()`
`void` `setAutowireMode(int autowireMode)`
`void` `setDependencyCheck(int dependencyCheck)`
`void` `setDestroyMethodName(String destroyMethodName)`
`void` `setInitMethodName(String initMethodName)`
`void` `setLazyInit(boolean lazyInit)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanDefinitionDefaults

    public BeanDefinitionDefaults()

### Method Detail

#### setLazyInit

    public void setLazyInit(boolean lazyInit)

#### isLazyInit

    public boolean isLazyInit()

#### setDependencyCheck

    public void setDependencyCheck(int dependencyCheck)

#### getDependencyCheck

    public int getDependencyCheck()

#### setAutowireMode

    public void setAutowireMode(int autowireMode)

#### getAutowireMode

    public int getAutowireMode()

#### setInitMethodName

    public void setInitMethodName(String initMethodName)

#### getInitMethodName

    public String getInitMethodName()

#### setDestroyMethodName

    public void setDestroyMethodName(String destroyMethodName)

#### getDestroyMethodName

    public String getDestroyMethodName()